API Documentation

Integrate SendTreat into your application with our RESTful API.

Get API KeyWebhooks Docs

Base URL

https://api.sendtreat.com/v1

Authentication

All API requests require authentication using an API key. Include your API key in the Authorization header:

Authorization: Bearer sk_live_your_api_key_here

Endpoints

Send a Gift

POST /gifts

{
  "treatId": "treat_123",
  "recipient": {
    "name": "John Doe",
    "email": "john@example.com",
    "address": {
      "street": "123 Main St",
      "city": "San Francisco",
      "state": "CA",
      "zip": "94102"
    }
  },
  "note": "Thank you for everything!",
  "deliveryOption": "same-day"
}

List Treats

GET /treats?category=sweet-treats&limit=20

Get Order Status

GET /orders/{orderId}

Rate Limits

  • Free tier: 100 requests per hour
  • Business tier: 1,000 requests per hour
  • Enterprise: Custom rate limits

Need Help?

For API support, examples, and SDKs, contact our developer team.

Contact API Team